<template>
  <v-layout>
    <div
      class="d-flex h-100 w-100 pt-3 pb-3 justify-content-center align-items-center"
    >
      <div class="card-main d-flex flex-column w-95 w-sm-50">
        <div
          class="d-flex ml-3 mr-3 p-3 align-items-center justify-content-start border-bottom"
        >
          <plusIcon class="icon-small-squad icon--brown" />
          <span class="text--gray font-large font-bold ml-3"
            >Cadastro de instituição</span
          >
        </div>
        <div class="d-flex w-100 flex-column align-items-center pt-4 pb-4">
          <div class="d-flex justify-content-center p-3 col-12">
            <img src="../../../static/img/school.png" class="avatar" />
          </div>
          <div
            class="d-flex flex-column align-items-left col-9 font-small pt-4"
          >
            <input
              id="institutionName"
              type="text"
              class="input input-rounded w-100 text--gray text-center"
              placeholder="Nome da instituição"
              v-model="model.name"
            />
          </div>
        </div>
        <div class="d-flex pb-3 pt-3 mt-4 ml-3 mr-3 border-top">
          <div class="d-flex col-12 justify-content-end">
            <router-link
              class="btn d-flex justify-content-center bg--primary p-2 pl-4 pr-4 ml-5 btn text-white font-medium"
              :to="{
                name: 'institution-registry-contact',
                params: { obj: model.json }
              }"
              title="Inserir dados de contato"
              >Próximo</router-link
            >
          </div>
        </div>
      </div>
    </div>
  </v-layout>
</template>
<script>
/* =============
 *   Home screen
 *  =============
 */
import VLayout from "@/layouts/External";
import plusIcon from "@/static/icon/plus.svg";
import Institution from "@/models/Institution";

export default {
  name: "login",
  data() {
    return {
      model: new Institution()
    };
  },
  validations: {},
  beforeMount() {
    const self = this;
    if (self.$route.params.obj) {
      self.model.montaModel(self.$route.params.obj);
    }
  },
  methods: {},
  components: {
    VLayout,
    plusIcon
  }
};
</script>
